The Blazor [Calendar](https://www.syncfusion.com/blazor-components/blazor-calendar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget) package contains date and time components such as calendar, date picker, date range
picker, date time picker, and time picker.

## List of Components:
* [Calendar](https://www.syncfusion.com/blazor-components/blazor-calendar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
* [DatePicker](https://www.syncfusion.com/blazor-components/blazor-datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
* [DateRangePicker](https://www.syncfusion.com/blazor-components/blazor-daterangepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
* [DateTimePicker](https://www.syncfusion.com/blazor-components/blazor-datetime-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
* [TimePicker](https://www.syncfusion.com/blazor-components/blazor-timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

## [Calendar](https://www.syncfusion.com/blazor-components/blazor-calendar?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
The Blazor Calendar is a component to display the date and days of the week.

### Key features
* Date range - Restricts the range of dates using the min and max properties.
* First day of week - Changes the first day of all weeks in every month.

## [DatePicker](https://www.syncfusion.com/blazor-components/blazor-datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
The Blazor DatePicker is a lightweight component that allows end users to enter or select a date value.

### Key features
* Date format - Component input value can be custom formatted.
* Strict mode - Allows entry only of valid dates within the specified min or max range.

## [DateRangePicker](https://www.syncfusion.com/blazor-components/blazor-daterangepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
The Blazor DateRangePicker component that allows to select start and end date values as a range from a calendar pop-up or by entering the value in text box.

### Key features
* Preset ranges - Defines the preset ranges to select the frequently used date range. 
* Format - The component input value can be custom formatted.
  
## [DateTimePicker](https://www.syncfusion.com/blazor-components/blazor-datetime-picker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
The Blazor DateTime Picker component that allows enter or select date and time values from a pop-up calendar and drop-down time list.

### Key features
* Date time range - Restricts the entry or selection of values within min and max.
* Date time format - The component input value can be custom formatted.

## [TimePicker](https://www.syncfusion.com/blazor-components/blazor-timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)
The Blazor Time Picker allows end users to select a time value either from a pop-up or by entering the value in the text box.

### Key features
* Time range - Restricts the entry or selection of time values min and max.
* Time intervals - Allows populating the time list with intervals.

## Related links
[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.46/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/datepicker/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Xamarin%20Scheduler%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-calendars-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.